Class | Sequel::LiteralString
In: | lib/sequel/sql.rb lib/sequel/extensions/pg_hstore_ops.rb lib/sequel/extensions/pg_array_ops.rb lib/sequel/extensions/pg_range_ops.rb lib/sequel/extensions/pg_row_ops.rb
Parent: | ::String

`LiteralString` is used to represent literal SQL expressions. A `LiteralString` is copied verbatim into an SQL statement. Instances of `LiteralString` can be created by calling `String#lit`.

### Methods

lit to_sequel_blob

### Included Modules

SQL::OrderMethods SQL::ComplexExpressionMethods SQL::BooleanMethods SQL::NumericMethods SQL::StringMethods SQL::InequalityMethods SQL::AliasMethods SQL::CastMethods Sequel::Postgres::HStoreOpMethods Sequel::Postgres::ArrayOpMethods Sequel::Postgres::RangeOpMethods Sequel::Postgres::PGRowOp::ExpressionMethods

### Public Instance methods

lit(*args)

Return self if no args are given, otherwise return a SQL::PlaceholderLiteralString with the current string and the given args.

[Source]

          # File lib/sequel/sql.rb, line 1604
    1604:     def lit(*args)
    1605:       args.empty? ? self : SQL::PlaceholderLiteralString.new(self, args)
    1606:     end

to_sequel_blob()

Convert a literal string to a SQL::Blob.

[Source]

          # File lib/sequel/sql.rb, line 1609
    1609:     def to_sequel_blob
    1610:       SQL::Blob.new(self)
    1611:     end

[Validate]